pragma Source_File_Name (ada_test_pkg_const, Spec_File_Name => "b~test_pkg_const.ads");
pragma Source_File_Name (ada_test_pkg_const, Body_File_Name => "b~test_pkg_const.adb");

package body ada_test_pkg_const is
   pragma Warnings (Off);
   procedure adainit is
      E004 : Boolean;
      E034 : Boolean;
      E023 : Boolean;
      E007 : Boolean;
      E006 : Boolean;
      E022 : Boolean;
      E020 : Boolean;
      E050 : Boolean;
      E013 : Boolean;
      E025 : Boolean;
      E009 : Boolean;
      E003 : Boolean;
      E017 : Boolean;
      E015 : Boolean;
      E011 : Boolean;
      E052 : Boolean;
      E035 : Boolean;
      E033 : Boolean;
      E031 : Boolean;
      E037 : Boolean;
      E029 : Boolean;
      E040 : Boolean;
      E038 : Boolean;
      E027 : Boolean;
      E019 : Boolean;
      E044 : Boolean;
      E041 : Boolean;
      E042 : Boolean;
      E048 : Boolean;

      Restrictions : constant String :=
        "nnvvnnnvvnnnnnvnvvvvvvnnvnvnvnnvnnnvnvvnnnnnnvvvnnnnvvnv" &
        "nnnnnnnnnnnnnn" & ASCII.Nul;

      Interrupt_States : constant String :=
        "";

      procedure Set_Globals
        (Main_Priority            : Integer;
         Time_Slice_Value         : Integer;
         WC_Encoding              : Character;
         Locking_Policy           : Character;
         Queuing_Policy           : Character;
         Task_Dispatching_Policy  : Character;
         Restrictions             : System.Address;
         Interrupt_States         : System.Address;
         Num_Interrupt_States     : Integer;
         Unreserve_All_Interrupts : Integer;
         Exception_Tracebacks     : Integer;
         Zero_Cost_Exceptions     : Integer);
      pragma Import (C, Set_Globals, "__gnat_set_globals");

      procedure Install_Handler;
      pragma Import (C, Install_Handler, "__gnat_install_handler");

      Handler_Installed : Integer;
      pragma Import (C, Handler_Installed, "__gnat_handler_installed");
   begin
      Set_Globals
        (Main_Priority            => -1,
         Time_Slice_Value         => -1,
         WC_Encoding              => 'b',
         Locking_Policy           => ' ',
         Queuing_Policy           => ' ',
         Task_Dispatching_Policy  => ' ',
         Restrictions             => Restrictions'Address,
         Interrupt_States         => Interrupt_States'Address,
         Num_Interrupt_States     => 0,
         Unreserve_All_Interrupts => 0,
         Exception_Tracebacks     => 0,
         Zero_Cost_Exceptions     => 0);

      if Handler_Installed = 0 then
         Install_Handler;
      end if;

      if not E004 then
         Ada'Elab_Spec;
         E004 := True;
      end if;
      if not E034 then
         Ada.Io_Exceptions'Elab_Spec;
         E034 := True;
      end if;
      if not E023 then
         Interfaces'Elab_Spec;
         E023 := True;
      end if;
      if not E007 then
         System'Elab_Spec;
         E007 := True;
      end if;
      if not E006 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if not E022 then
         Ada.Tags'Elab_Spec;
      end if;
      if not E020 then
         Ada.Streams'Elab_Spec;
         E020 := True;
      end if;
      if not E050 then
         System.Img_Int'Elab_Spec;
      end if;
      if not E013 then
         System.Parameters'Elab_Spec;
      end if;
      if not E013 then
         System.Parameters'Elab_Body;
         E013 := True;
      end if;
      if not E025 then
         Interfaces.C_Streams'Elab_Spec;
      end if;
      if not E025 then
         Interfaces.C_Streams'Elab_Body;
         E025 := True;
      end if;
      if not E009 then
         System.Secondary_Stack'Elab_Spec;
      end if;
      if not E009 then
         System.Secondary_Stack'Elab_Body;
         E009 := True;
      end if;
      if not E050 then
         System.Img_Int'Elab_Body;
         E050 := True;
      end if;
      if not E003 then
         System.Standard_Library'Elab_Spec;
      end if;
      if not E017 then
         System.Storage_Elements'Elab_Spec;
      end if;
      if not E017 then
         System.Storage_Elements'Elab_Body;
         E017 := True;
      end if;
      if not E015 then
         System.Stack_Checking'Elab_Spec;
      end if;
      if not E015 then
         System.Stack_Checking'Elab_Body;
         E015 := True;
      end if;
      if not E011 then
         System.Soft_Links'Elab_Spec;
      end if;
      if not E011 then
         System.Soft_Links'Elab_Body;
         E011 := True;
      end if;
      if not E022 then
         Ada.Tags'Elab_Body;
         E022 := True;
      end if;
      if not E006 then
         Ada.Exceptions'Elab_Body;
         E006 := True;
      end if;
      if not E052 then
         System.Memory'Elab_Spec;
      end if;
      if not E052 then
         System.Memory'Elab_Body;
         E052 := True;
      end if;
      if not E003 then
         System.Standard_Library'Elab_Body;
         E003 := True;
      end if;
      if not E035 then
         System.Unsigned_Types'Elab_Spec;
         E035 := True;
      end if;
      if not E033 then
         System.Stream_Attributes'Elab_Spec;
      end if;
      if not E033 then
         System.Stream_Attributes'Elab_Body;
         E033 := True;
      end if;
      if not E031 then
         System.Finalization_Root'Elab_Spec;
      end if;
      if not E031 then
         System.Finalization_Root'Elab_Body;
         E031 := True;
      end if;
      if not E037 then
         System.Finalization_Implementation'Elab_Spec;
      end if;
      if not E037 then
         System.Finalization_Implementation'Elab_Body;
         E037 := True;
      end if;
      if not E029 then
         Ada.Finalization'Elab_Spec;
      end if;
      if not E029 then
         Ada.Finalization'Elab_Body;
         E029 := True;
      end if;
      if not E040 then
         Ada.Finalization.List_Controller'Elab_Spec;
      end if;
      if not E040 then
         Ada.Finalization.List_Controller'Elab_Body;
         E040 := True;
      end if;
      if not E038 then
         System.File_Control_Block'Elab_Spec;
         E038 := True;
      end if;
      if not E027 then
         System.File_Io'Elab_Spec;
      end if;
      if not E027 then
         System.File_Io'Elab_Body;
         E027 := True;
      end if;
      if not E019 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if not E019 then
         Ada.Text_Io'Elab_Body;
         E019 := True;
      end if;
      if not E044 then
         Msil_Types'Elab_Spec;
         E044 := True;
      end if;
      if not E041 then
         Mssyst'Elab_Spec;
         E041 := True;
      end if;
      if not E042 then
         Mssyst.Drawing'Elab_Spec;
         E042 := True;
      end if;
      if not E048 then
         peer'elab_spec;
         E048 := True;
      end if;
   end adainit;

   procedure adafinal is
   begin
      System.Standard_Library.Adafinal;
   end adafinal;

--  BEGIN Object file/option list
   --   C:\mgnat\include\msil_types.il
   --   C:\mgnat\include\mssyst.il
   --   C:\mgnat\include\mssyst-drawing.il
   --   ./peer.il
   --   ./test_pkg_const.il
   --   -L./
   --   -LC:\mgnat\include\
   --   -Lc:\mgnat\lib\mgnat\adalib\
   --   
--  END Object file/option list   

end ada_test_pkg_const;
